Throw (Ant Contrib)
Keywords: net.sf.antcontrib.logic.Throw class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic
Class Throw

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Exit
                  net.sf.antcontrib.logic.Throw

    public class Throw

extends org.apache.tools.ant.taskdefs.Exit

Extension of `<fail>` that can throw an exception that is a reference in the project.

This may be useful inside the `<catch>` block of a `<trycatch>` task if you want to rethrow the exception just caught.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Throw()`

Method Summary
`void` | `execute()`
`void` | `setRefid(org.apache.tools.ant.types.Reference ref)` The reference that points to a BuildException.

Methods inherited from class org.apache.tools.ant.taskdefs.Exit
`addText, createCondition, setIf, setMessage, setStatus, setUnless`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Throw

    public Throw()

Method Detail

### setRefid

    public void setRefid(org.apache.tools.ant.types.Reference ref)

  The reference that points to a BuildException.

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.taskdefs.Exit`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD